{ config, lib, pkgs, ... }:

let
  dn = "git.tfcconnection.org";
in
with lib;
{
  services.forgejo = {
    enable = true;
    settings = {
      server = {
        DOMAIN = "${dn}";
        ROOT_URL = "https://${dn}";
        # PROTOCOL = "https";
        HTTP_PORT = 5000;
      };
    };
  };

  services.caddy = {
    virtualHosts = {
      "${dn}".extraConfig = ''
        reverse_proxy 127.0.0.1:5000
        encode gzip
      '';
    };
  };
}
